
Redmine - Defect #23208

Changing wiki parent crash

2016-06-30 15:21 - Milos Corak

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.2.0

Description

Redmine crash when I try to change parent id on wiki page.

Internal error

Log:

  Parameters: {"utf8"=>"✓", "authenticity_token"=>"3P/QNO4+5wWOcbRoqUy8vsnlvNT1iUXHjcpWQjNH+B4nfeZ

VcAFBo0n21/l44WcufN5F2+U4NIOBVFWaK

D22kQ==", "content"=>{"version"=>"11", "text"=>"h1. PVv3xxx identification List\r\n\r\n\r\nh2. Loo

kup Table By FW Name (write to reg

ister 0x007E)\r\n\r\n|_. FW |_. fw_id (hex) |_. fw_id (dec) |  \r\n| F77 | 0x464D | 17997 |\r\n| G

77 | 0x474D | 18253 |\r\n| G81 | 0

x4751 | 18257 |\r\n| H77 | 0x484D | 18509 |\r\n| J77 | 0x4A4D | 19021 |\r\n| K81 | 0x4B51 | 19281 

|\r\n| K82 | 0x4B52 | 19282 |\r\n|

 M80 | 0x4D50 | 19792 |\r\n| M83 | 0x4D53 | 19795 |\r\n| M84 | 0x4D54 | 19796 |\r\n| M85 | 0x4D55 

| 19797 |\r\n| M87 | 0x4D57 | 1979

9 |\r\n| M93 | 0x4D5D | 19805 |\r\n| N78 | 0x4E4E | 20046 |\r\n| P7A | 0x507A | 20602 |\r\n| P92 |

 0x505C | 20572 |\r\n| S14 | 0x530

E | 21262 |\r\n| S17 | 0x5311 | 21265 |\r\n| S18 | 0x5312 | 21266 |\r\n| S5D | 0x535D | 21341 |\r\

n| S91 | 0x535B | 21339 |\r\n| T74

 | 0x544A | 21578 |\r\n| W10 | 0x570A | 22282 |\r\n| X086 | 0x5856 | 22614 |\r\n\r\nh2. Equation (

str -> id)\r\n\r\n<pre><code class

=\"python\">\r\nfw_string = 'F77'\r\nletter = ord(fw_string[0])\r\nnumber = None\r\n\r\nif re.sear

ch('[A-F]', fw_string[1:].upper())

:\r\n    number = int(fw_string[1:], 16)\r\nelse:\r\n    number = int(fw_string[1:])\r\n\r\nfw_id 

= (letter << 8) + number\r\n</pre>", "comments"=>""}, "wiki_page"=>{"parent_id"=>"20", "tag_list"=

>""}, "commit"=>"Save", "project_id"=>"firmware-modules", "id

"=>"Pv3xxx_identification"}

  Current user: corakm (id=1)

Completed 500 Internal Server Error in 39ms (ActiveRecord: 5.7ms)

NoMethodError (undefined method `scoped' for #<Class:0x00000002c75360>):

  app/models/wiki_page.rb:216:in `block in save_with_content'

  app/models/wiki_page.rb:215:in `save_with_content'

  app/controllers/wiki_controller.rb:154:in `update'

  lib/redmine/sudo_mode.rb:63:in `sudo_mode'

Environment:

  Redmine version                3.2.0.stable

  Ruby version                   2.1.8-p440 (2015-12-16) [x86_64-linux]

  Rails version                  4.2.5

  Environment                    production

  Database adapter               Mysql2

SCM:

  Subversion                     1.7.14

  Git                            1.8.3.1

  Filesystem                     

Redmine plugins:

  clipboard_image_paste          1.10

  quick_edit                     0.0.9

  quick_view                     0.2.0
  redmine_base_deface            0.0.1

  redmine_checklists             3.1.3

  redmine_custom_reports         0.1.5

  redmine_dashboard              2.7.0

  redmine_dmsf                   1.5.6

  redmine_documents              1.0.0

  redmine_documents_short        0.4.0

  redmine_editor_preview_tab     0.1.5

  redmine_github_hook            2.2.0

  redmine_highlightjs            1.0.3

  redmine_issue_templates        0.1.1

  redmine_jstoolbar_ext          0.2.1

  redmine_jstoolbar_ext_coderay  0.2.0

  redmine_jstoolbar_ext_images   0.3.1

  redmine_mail_reminder          3.0.0.0001

  redmine_maintenance_mode       2.0.1

  redmine_mylyn_connector        2.8.2.stable

  redmine_per_project_formatting 0.0.4

  redmine_percent_done           1.0.0

  redmine_revision_branches      0.3.1

  redmine_silencer               0.4.1

  redmine_tags                   3.1.1

  redmine_tweaks                 0.5.7

  redmine_wiki_extensions        0.7.0

  redmine_wiki_toc               0.0.3

  release_logs                   1.0.0

  wiking                         1.0.0b

</code

History

#1 - 2016-06-30 18:01 - Toshi MARUYAMA

- Description updated

#2 - 2016-06-30 18:09 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Invalid

Please contact plugin author.

Redmine core does not have "tag_list".

#3 - 2016-06-30 18:21 - Milos Corak

- Status changed from Closed to Reopened

Same thing happend before I install plugin.

  Parameters: {"utf8"=>"✓", "authenticity_token"=>"Nd+SsGMiO9Gh2v7bXR0T7FMBUXhSwCk9SLGIVpw8WWbgsl49b0W1DWaF/j+

FLSCg1Pw00AIvZWAHE1f8QQsjjQ==", "content"=>{"version"=>"2", "text"=>"h1. PowerSMART 2 Us

er guide\r\n\r\nh2. Graphical User Interface User’s Guide\r\n\r\nh3. Contents\r\n\r\n* Introduction\r\n* Getti

ng started\r\n* Monitoring\r\n* Status Fault alerts\r\n* Configuration and ITM Block\r\n

* Register Table\r\n* Nvm Table\r\n* PMBus Logger \r\n\r\nh3. Introduction \r\n\r\nThe improved design tool, P

owerSMART 2, enables the user to program the controller and optimize its performance,&nb

sp;while carefully monitoring key power supply status parameters.\r\n\r\nThis User’s Guide describes the usage

 of the GUI, and how the user can access more than 60 parameters that may be used when c

onfiguring a setup.\r\n\r\nThis document provides a basic overview of the different portions of the program. F

igure 1 shows an example of the first time the GUI is started, default settings are set

and configuration files are created.\r\n\r\n!image::images/image.png[]!\r\n\r\nh3. Figure 1: GUI Overview Layo

ut\r\n\r\nPowerSMART 2 GUI is divided by sections, every section will only display infor

mation related to the device selected. “Device List” will contain all devices connected and able to be selecte

d by the user. “Tool bar” and “Application Tools” will provide the user for extra inform

ation. “Status Fault Alerts” will inform the user for any value warning on a list of parameters. *\"Monitoring

 and graph\"* will provide a graphical view of a parameter list represented on graph on
real time. “Active Device content” will contain all device parameters to be managed by the user.\r\n\r\n*Note:

* Any tab from Device content can be detached click and drag as desired by the user. ",

"comments"=>""}, "wiki_page"=>{"parent_id"=>"7"}, "commit"=>"Save", "project_id"=>"dpicide", "id"=>"User_guide

"}

  Current user: corakm (id=1)

Completed 500 Internal Server Error in 108ms (ActiveRecord: 11.8ms)

NoMethodError (undefined method `scoped' for #<Class:0x00000005b939d0>):

  app/models/wiki_page.rb:216:in `block in save_with_content'

  app/models/wiki_page.rb:215:in `save_with_content'

  app/controllers/wiki_controller.rb:154:in `update'

  lib/redmine/sudo_mode.rb:63:in `sudo_mode'

 I tried to remove plugin and test. Same thing!

#4 - 2016-06-30 18:34 - Jean-Philippe Lang

- Status changed from Reopened to Needs feedback

We can't reproduce and there are tests for changing a wiki page parent. The method that triggers this error (#scoped) is not used in Redmine core.

Please try with a fresh Redmine install without any plugins.

#5 - 2016-06-30 19:10 - Milos Corak

I found problem. You gave me a good lead where to look. Thanks

Problem was redmine_wiki_toc plugin. That is some historic plugin which accidentally stayed after upgrade to 3.2

You can close issue!

#6 - 2016-06-30 20:23 - Jean-Philippe Lang

- Status changed from Needs feedback to Closed

Thanks for the feedback.
